Форум русскоязычного сообщества Ubuntu


Следите за новостями русскоязычного сообщества Ubuntu в Twitter-ленте @ubuntu_ru_loco

Автор Тема: Geany  (Прочитано 345 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Marka

  • Автор темы
  • Новичок
  • *
  • Сообщений: 47
    • Просмотр профиля
Geany
« : 10 Ноябрь 2015, 18:57:44 »
Такая проблема. На моей Xubuntu установлено две версии Python (2-ая и 3-я). Если писать код в Geany, то он думает, что я пишу на 2-ой версии и воспроизводит соответственно. Как поменять 2-ую версию на 3-ю?
p.s. Писать код хочу и могу только на 3-ей версии.

Оффлайн alsoijw

  • Старожил
  • *
  • Сообщений: 4073
  • Fedora 25 GNOME 3 amd64
    • Просмотр профиля
Re: Geany
« Ответ #1 : 10 Ноябрь 2015, 19:10:31 »
Vladimir Mark, явно указать версию интерпретатора?
Мало видеть нам начало - надо видеть и конец. Если видишь ты создание - значит где-то есть ТВОРЕЦ
Многие жалуются: геометрия в жизни не пригодилась. Ямб от хорея им приходится отличать ежедневно?

Оффлайн Marka

  • Автор темы
  • Новичок
  • *
  • Сообщений: 47
    • Просмотр профиля
Re: Geany
« Ответ #2 : 10 Ноябрь 2015, 19:21:46 »
Подскажите, пожалуйста, как сделать?

Оффлайн alsoijw

  • Старожил
  • *
  • Сообщений: 4073
  • Fedora 25 GNOME 3 amd64
    • Просмотр профиля
Re: Geany
« Ответ #3 : 10 Ноябрь 2015, 23:19:14 »
Попробуй в начале файла вместо python написатть требуемую версию. python это выбор версии по умолчанию, python2 это явно 2, python3 это явно 3.
Мало видеть нам начало - надо видеть и конец. Если видишь ты создание - значит где-то есть ТВОРЕЦ
Многие жалуются: геометрия в жизни не пригодилась. Ямб от хорея им приходится отличать ежедневно?

 

Страница сгенерирована за 0.103 секунд. Запросов: 24.